## -----------------------------------------------
## Basic Configuration
## -----------------------------------------------

title = "AGR - Actionable Risk Intelligence"
copyright = "{year}"

## -----------------------------------------------
## Publish
## -----------------------------------------------

relativeURLs = "true"
#canonifyURLs = "true"

# Local
baseURL = "https://agr.asia"
languageCode = 'en-us'
publishDir = "public"

# Remote
#baseURL = "https://caressofsteel.github.io/demos/hugo/hugo-story/"
#publishDir = "//centos/sites/hugodev/hugostory/"


## -----------------------------------------------
## Hugo Built-in Features
## -----------------------------------------------

disableKinds = ["taxonomy", "section"]

## -----------------------------------------------
## Site Parameters
## -----------------------------------------------

[Params]
  description = "AGR Asia Solutions is a boutique business intelligence firm based in Singapore with over 30 years of experience in providing actionable intelligence and risk management solutions to SMEs and multinationals."
  logo = "images/banner.jpg"
  favicon = true
  
[params.fonts]
  google_fonts = false

[Params.social]
  git = "https://git.9x0rg.com/x0rg/hugo-story-agr"
  twitter = "https://twitter.com/"
  email = "hello@agr.asia"
  linkedin = "https://www.linkedin.com/company/agr-asia-solutions/about/"
  mastodon = "https://pleroma.envs.net/@agr"

[Params.asset]
  fontawesome_css = ["css/fontawesome-all.min.css"]
  fontawesome_js = ["js/fontawesome-all.min.js"]

[privacy]
  [privacy.disqus]
    disable = true
  [privacy.googleAnalytics]
    disable = true
  [privacy.instagram]
    disable = true
  [privacy.twitter]
    disable = true
  [privacy.vimeo]
    disable = true
  [privacy.youtube]
    disable = true

[params.csp]
  childsrc = ["'self'"]
  fontsrc = ["'self'"]
  formaction = ["'self'"]
  framesrc = ["'self'"]
  imgsrc = ["'self'"]
  objectsrc = ["'none'"]
  stylesrc = ["'self'"]
  scriptsrc = ["'none'"]
  
[params.search]
  enableRobotsTXT = true

[sitemap]
  changeFreq = 'monthly'
  filename = 'sitemap.xml'
  priority = -1
